Bug 86369 - Error saving document over 96 pages in size, loose pictures in document
Summary: Error saving document over 96 pages in size, loose pictures in document
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.2.6.3 release
Hardware: Other Windows (All)
: medium critical
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:doc
Depends on:
Blocks:
 
Reported: 2014-11-17 05:12 UTC by Dan
Modified: 2015-12-17 05:57 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Large ODT with over 300 pages (577.92 KB, application/vnd.oasis.opendocument.text)
2014-11-23 01:05 UTC, Robinson Tryon (qubit)
Details
ODT with over 100 pages (171.98 KB, application/vnd.oasis.opendocument.text)
2014-11-23 01:06 UTC, Robinson Tryon (qubit)
Details
Large ODT with over 1400 pages (1.89 MB, application/vnd.oasis.opendocument.text)
2014-11-23 01:24 UTC, Robinson Tryon (qubit)
Details
Large ODT with over 2000 pages (2.44 MB, application/vnd.oasis.opendocument.text)
2014-11-23 01:25 UTC, Robinson Tryon (qubit)
Details
Large ODT with over 2300 pages (2.86 MB, application/vnd.oasis.opendocument.text)
2014-11-23 01:26 UTC, Robinson Tryon (qubit)
Details
Large DOCX with over 1400 pages (basically same content as 1400 ODT) (1.98 MB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-11-23 02:06 UTC, Robinson Tryon (qubit)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dan 2014-11-17 05:12:29 UTC
Libreoffice ver 4.2.6.3 has a bug in it when using the word processor Writer. I was making a document that had pictures and text and saving it as a .doc.  When I got to around 90 to 96 pages it would auto save the document. Before exiting the program, I also saved the document but then when I reopened the document I was missing 10 or more pictures that I had entered and saved to the document.  I re-entered the pictures and re saved the document, but it did the same exact thing again.Except this time when I tried to save the document it said there  was an error saving the document.  It then closed Libreoffice.  When I reopened Libreoffice, it asked if I wanted to restore the lost file.  I told it yes and it restored the file. The last 10 or so pictures were gone again when I reopened the document.  I then reduced the over all size of the document actually by half, making two documents out of this one document.  So now each document was bout 46 pages in length.  When I saved the smaller documents I did not loose the pictures when I reopened the document. It appears that there is a limit to the size of the document one can make?
Comment 1 Adolfo Jayme 2014-11-17 13:08:38 UTC
Hello,

can you try again with version 4.3.4?

It is also a best practice to save in LibreOffice’s native file format, ODF, while working on documents, and only exporting to other formats such as DOC for the final version.
Comment 2 Robinson Tryon (qubit) 2014-11-22 00:01:56 UTC
(In reply to Dan from comment #0)
> I
> then reduced the over all size of the document actually by half, making two
> documents out of this one document.  So now each document was bout 46 pages
> in length.  When I saved the smaller documents I did not loose the pictures
> when I reopened the document. It appears that there is a limit to the size
> of the document one can make?

Very interesting. How big are these documents? Could you please attach the large 96 page and smaller ~46 page documents to this bug report?
(If they're larger than the upload limit will allow, we'll try something else)

(Please change the status back to UNCONFIRMED after the documents are attached and you've tested w/4.3.4 as per Adolfo's suggestion)


Status -> NEEDINFO
Comment 3 Robinson Tryon (qubit) 2014-11-23 01:04:24 UTC
Hi Dan,
Please keep all non-private discussion on the bug report.

On Fri, Nov 21, 2014 at 11:56 PM, Dan wrote:
> Just one of the files is bigger than 25 megs so I can't send the files.

Indeed -- those are definitely too big to store in Bugzilla with our current filesize limits.

> I
> did upgrade the Libreoffice to the newer version  and it still had
> errors..........

So I wonder what the limiting factors are re: large files.

I create a few large files, and here are my results
(TESTING with LO 4.4.0.0.beta1 + Ubuntu 14.04 + Core2Duo @2.4GHz/4GB RAM)

large-file_376-pages_moby.dick-melville_578K_LO.4.4.0.0.beta1.odt:
- Takes several minutes to load, but does not crash

large-file_100ish-pages_8.large.images_moby.dick-melville_LO.4.4.0.0.beta1.odt
- 108 pages
- Several large images (2-9MB each) from http://publicdomainarchive.com/public-domain-images/
- 40.5MB file
- Opens in ~30s

Questions:
- If you reduce the filesize of the images, do you still run into a problem if the document is 90 pages long?
- How many images are you adding to the document?
- Do you run into a problem when the filesize gets larger than 25MB?
Comment 4 Robinson Tryon (qubit) 2014-11-23 01:05:38 UTC
Created attachment 109873 [details]
Large ODT with over 300 pages
Comment 5 Robinson Tryon (qubit) 2014-11-23 01:06:13 UTC
Created attachment 109874 [details]
ODT with over 100 pages
Comment 6 Robinson Tryon (qubit) 2014-11-23 01:24:56 UTC
Created attachment 109876 [details]
Large ODT with over 1400 pages
Comment 7 Robinson Tryon (qubit) 2014-11-23 01:25:26 UTC
Created attachment 109877 [details]
Large ODT with over 2000 pages
Comment 8 Robinson Tryon (qubit) 2014-11-23 01:26:02 UTC
Created attachment 109878 [details]
Large ODT with over 2300 pages
Comment 9 Robinson Tryon (qubit) 2014-11-23 02:06:51 UTC
Created attachment 109880 [details]
Large DOCX with over 1400 pages (basically same content as 1400 ODT)
Comment 10 Robinson Tryon (qubit) 2014-11-23 02:11:53 UTC
Hi Dan,
I just attached some additional test files to this report just to test the behavior of LibreOffice. They're much bigger than the 90-page documents you were talking about, so feel free to ignore them :-)

NOTE: The 1400+ page docs are highly likely to cause LibreOffice (and possibly your machine) to freeze, so make sure everything else is saved and/or closed on your computer before you even attempt to open them :-)
Comment 11 Robinson Tryon (qubit) 2015-01-11 21:28:37 UTC
(In reply to Dan from comment #0)
> ...When I saved the smaller documents I did not loose the pictures
> when I reopened the document. It appears that there is a limit to the size
> of the document one can make?

Dan: Please open LibreOffice and take a look at Tools -> Options -> LibreOffice -> Memory

If you're working on large files, I'd suggest that you bump up the Graphics cache from 20MB to something bigger -- perhaps 100MB?  If your images are very large individually, then I'd suggest you try bumping up the memory per object as well.
Comment 12 QA Administrators 2015-07-18 17:36:30 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team

This NEEDINFO message was generated on: 2015-07-18
Comment 13 QA Administrators 2015-09-04 03:01:47 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO
Message generated on: 2015-09-03
Comment 14 Robinson Tryon (qubit) 2015-12-17 05:57:02 UTC
Migrating Whiteboard tags to Keywords: (filter:doc)
[NinjaEdit]